aboutsummaryrefslogtreecommitdiff
path: root/pbuildd/build-agent.sh
diff options
context:
space:
mode:
authordancer <dancer>2004-08-12 00:06:04 +0000
committerdancer <dancer>2004-08-12 00:06:04 +0000
commitc1f772afee09ff84fe0384c683b8ada314231c28 (patch)
treee8b7c6d203d75909efec301dab76163ddc1cf029 /pbuildd/build-agent.sh
parent3ee5b4f60b97f5a6303f8e925354d88940e118d0 (diff)
downloadpbuilder-c1f772afee09ff84fe0384c683b8ada314231c28.tar
pbuilder-c1f772afee09ff84fe0384c683b8ada314231c28.tar.gz
up
Diffstat (limited to 'pbuildd/build-agent.sh')
-rwxr-xr-xpbuildd/build-agent.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/pbuildd/build-agent.sh b/pbuildd/build-agent.sh
new file mode 100755
index 0000000..3864e82
--- /dev/null
+++ b/pbuildd/build-agent.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# accept host name as $1
+# return unbuilt package, and reserve the package for building.
+
+# exit 1 if no more package is available.
+# 2004 1 12, Junichi Uekawa
+
+
+cd /game/buildd/
+
+#build agent for pbuilder
+for A in $( zcat /mirror/debian/dists/sid/main/source/Sources.gz | sed -n 's/^Package: //p' | cut -d\ -f1|sort | uniq | bogosort -n ); do
+ #waitingroutine
+ if [ $(find -name $A.log | wc -l ) != "0" ]; then
+ echo Already build tried for "$A" >&2
+ else
+ echo $A
+ echo "$1 $(date)" > WORKING/$A.log
+ exit 0
+ fi
+done
+exit 1
+